Public Member Functions | Public Attributes

# VRTDriver Class Reference

Inheritance diagram for VRTDriver:

List of all members.

## Public Member Functions
virtual char ** | GetMetadataDomainList ()
| Fetch list of metadata domains.
virtual char ** | GetMetadata (const char *pszDomain="")
| Fetch metadata.
virtual CPLErr | SetMetadata (char **papszMetadata, const char *pszDomain="")
| Set metadata.
VRTSource * | ParseSource (CPLXMLNode *psSrc, const char *pszVRTPath)
void | AddSourceParser (const char *pszElementName, VRTSourceParser pfnParser)
## Public Attributes
char ** | papszSourceParsers

## Member Function Documentation

char ** VRTDriver::GetMetadata | ( | const char * | pszDomain = `""` | ) | `[virtual]`

Fetch metadata.

The returned string list is owned by the object, and may change at any time. It is formated as a "Name=value" list with the last pointer value being NULL. Use the the CPL StringList functions such as CSLFetchNameValue() to manipulate it.

Note that relatively few formats return any metadata at this time.

This method does the same thing as the C function GDALGetMetadata().

Parameters:

  | pszDomain | the domain of interest. Use "" or NULL for the default domain.

Returns:
  NULL or a string list.

Reimplemented from GDALMajorObject.

char ** VRTDriver::GetMetadataDomainList | ( |  | ) | `[virtual]`

Fetch list of metadata domains.

The returned string list is the list of (non-empty) metadata domains.

This method does the same thing as the C function GDALGetMetadataDomainList().

Returns:
  NULL or a string list. Must be freed with CSLDestroy()

Since:
  GDAL 1.11

Reimplemented from GDALMajorObject.

CPLErr VRTDriver::SetMetadata | ( | char ** | papszMetadataIn,
|  | const char * | pszDomain = `""` |
| ) |  |  | `[virtual]`

Set metadata.

The C function GDALSetMetadata() does the same thing as this method.

Parameters:

  | papszMetadataIn | the metadata in name=value string list format to apply.
  | pszDomain | the domain of interest. Use "" or NULL for the default domain.

Returns:
  CE_None on success, CE_Failure on failure and CE_Warning if the metadata has been accepted, but is likely not maintained persistently by the underlying object between sessions.

Reimplemented from GDALMajorObject.

The documentation for this class was generated from the following files:

- vrtdataset.h
- vrtdriver.cpp

Generated for GDAL by 1.7.1.